aboutsummaryrefslogtreecommitdiffstats
path: root/main/xen/xenqemu.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/xen/xenqemu.initd')
-rw-r--r--main/xen/xenqemu.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/main/xen/xenqemu.initd b/main/xen/xenqemu.initd
new file mode 100644
index 0000000000..463bf598ff
--- /dev/null
+++ b/main/xen/xenqemu.initd
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need xenstored xenconsoled
+}
+
+start() {
+ ebegin "Starting QEMU as disk backend for dom0"
+ start-stop-daemon --start --exec /usr/lib/xen/bin/qemu-system-i386 \
+ --pidfile=/var/run/xenqemu.pid -b -- \
+ -xen-domid 0 -xen-attach -name dom0 -nographic \
+ -M xenpv -monitor /dev/null \
+ -pidfile /var/run/xenqemu.pid \
+ ${XENQEMU_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping QEMU as disk backend for dom0"
+ start-stop-daemon --stop --exec /usr/lib/xen/bin/qemu-system-i386 \
+ --pidfile /var/run/xenqemu.pid
+ eend $?
+}
+